aboutsummaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
authorGravatar A. Unique TensorFlower <gardener@tensorflow.org>2017-02-17 15:22:54 -0800
committerGravatar TensorFlower Gardener <gardener@tensorflow.org>2017-02-17 15:43:45 -0800
commitef1f50399ddca17285ed3f9dd5c9e35a4646df31 (patch)
tree83830666de7787afcb5bcca55459fcc8bbe7a14c
parentbc082fb6fb54722cd6340f4f9b2f868c1989c79c (diff)
Add a check if hexagon is unlocked into a script to build tf runtime with hexagon
Change: 147886830
-rwxr-xr-xtensorflow/contrib/makefile/samples/build_and_run_inception_hexagon.sh5
1 files changed, 5 insertions, 0 deletions
diff --git a/tensorflow/contrib/makefile/samples/build_and_run_inception_hexagon.sh b/tensorflow/contrib/makefile/samples/build_and_run_inception_hexagon.sh
index 7201ea1154..3d72247cd8 100755
--- a/tensorflow/contrib/makefile/samples/build_and_run_inception_hexagon.sh
+++ b/tensorflow/contrib/makefile/samples/build_and_run_inception_hexagon.sh
@@ -51,6 +51,11 @@ if [[ "${BUILD_ONLY}" != "true" ]]; then
echo "adb is not in your path ${PATH}."
exit 1
fi
+ if ! adb shell ls /system/lib/rfsa/adsp/testsig* >/dev/null 2>&1; then
+ echo "test signature not found. Unlock your phone first"
+ echo "See ${QUALCOMM_SDK}/tools/elfsigner/README.txt"
+ exit 1
+ fi
fi
SCRIPT_DIR="$(cd "$(dirname "${BASH_SOURCE[0]}")" >/dev/null && pwd)"